<?
   class Template
   {
	   private $Filename;
	   private $Params;
	   public function __construct($filename)
	   {
		   $this->Filename = $filename;
		   $this->Params = array();
	   }
	   public function SetArrayParam($assoc)
	   {
		  foreach($assoc as $key => $value)
		     $this->SetParam($key, $value);
	   }
	   public function SetParam($key, $value)
	   {
		   $this->Params[$key] = $value;
	   }
	   public function GetParam($key)
	   {
		   return $this->Params[$key];
	   }
	   public function Display()
	   {
		   extract($this->Params);
		   include($this->Filename);
	   }
	   public function GetContent()
	   {
		   extract($this->Params);
		   ob_start();
		   include($this->Filename);
		   $str = ob_get_contents();
		   ob_end_clean();
		   return $str;
	   }
   }
?>